﻿/* Metalatut Website Stylesheet */

/* Google fonts */
@import url('https://fonts.googleapis.com/css?family=Lato');


/* Reset Web Browser Styles */

* {
    box-sizing: border-box;
}

body {
    margin: 0;
    padding: 0;
}


/* General Styles */

body {
    font-family: "Lato", sans-serif;
    font-size: 1.03rem;
}

.container {
    width: 100%;
    margin: 0 auto;
    padding: 0 15px;
}

.page-title {
    margin-top: 2rem;
    color: #444;
}

@media only screen and (min-width: 600px) {
    .container {
        max-width: 562px;
    }
}

@media only screen and (min-width: 768px) {
    .container {
        max-width: 720px;
    }
}

@media only screen and (min-width: 992px) {
    .container {
        max-width: 960px;
    }
}

@media only screen and (min-width: 1200px) {
    .container {
        max-width: 1140px;
    }
}


/*** _MainLayout.cshtml Styles ***/

/* Page Layout Flexbox Styles */
.main-layout-flexbox-container {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}


/* Header styles */

.header-flexbox-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1.25rem 0;
}

#logo {
    width: 170px;
    max-width: 100%;
    height: auto;
}

.phone {
    font-size: 0.75rem;
    font-weight: bold;
    color: #555;
    margin: 3px;
}

.navbar {
    background-color: #0066cc;
}

#btn-menu {
    font-size: 1.8rem;
    color: #ddd;
    cursor: pointer;
}

#btn-menu:hover {
    color: #fff;
}

.navbar ul {
    margin: 0;
    padding: 0;
}

.navbar ul li {
    display: none;
    padding: 10px 0;
    list-style: none;
}

.navbar ul li a {
    font-size: 1rem;
    color: #ddd;
    text-decoration: none;
}

.navbar ul li a:hover {
    color: #fff;
}

#menu-toggle {
    display: none;
}

#menu-toggle:checked ~ ul li {
    display: block;
}


/* Main Styles */

.main-flexbox-item {
    flex-grow: 1;
    flex-shrink: 0;
    flex-basis: auto;
}


/* Footer Styles */

.footer {
    align-items: stretch;
    right: 0;
    bottom: 0;
    left: 0;
    font-size: 0.75rem;
    background-color: #f3f3f3;
    color: #777;
}

.footer-flexbox-container {
    height: 50px;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    align-content: center;
    flex-wrap: wrap;
}

/* Small devices (portrait tablets and large phones, 600px and up) */
@media only screen and (min-width: 600px) {
    #logo {
        width: 200px;
    }

    .phone {
        font-size: 0.8rem;
    }

    .navbar ul li:first-child {
        margin-left: 0;
    }

    .navbar ul li:last-child {
        margin-right: 0;
    }

    .navbar ul li a {
        font-size: 1rem;
    }

    .footer {
        font-size: 0.8rem;
    }

    .footer-flexbox-container {
        justify-content: center;
    }
}

/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (min-width: 768px) {
    #logo {
        width: 250px;
    }

    .phone {
        font-size: 0.9rem;
    }

    #btn-menu {
        display: none;
    }

    .navbar ul li {
        display: inline-block;
        margin: 0 10px;
    }

    .footer {
        font-size: 0.9rem;
    }

    .navbar {
        padding: 6px;
    }
}

/* Large devices (laptops and desktops, 992px and up) */
@media only screen and (min-width: 992px) {
    /* ... */
}

/* Extra large devices (large laptops and desktops, 1200px and up) */
@media only screen and (min-width: 1200px) {
    /* ... */
}


/* Index.cshtml Styles */

.card-group {
    display: flex;
    flex-direction: column;
    margin: 0.85rem 0;
}

.activity-card {
    display: flex;
    flex-direction: column;
    flex-basis: 30%;
    align-items: center;
    padding-bottom: 1.2rem;
}

.card-img {
    max-width: 100%;
    height: auto;
}

.card-body {
    padding: 0 1.2rem;
    flex-grow: 1;
    flex-shrink: 0;
    flex-basis: auto;
}

.card-title {
    text-align: center;
    color: #444;
}

.card-hr {
    border: 0.4px solid;
    color: #ccc;
}

.card-text {
    text-align: center;
    color: #222;
}

.card-footer {
    padding-bottom: 1.2rem;
}

.card-footer a {
    text-decoration: none;
}

.home-banner {
    margin-top: 0.85rem;
    position: relative;
    background-image: url("../Images/home_banner.jpg");
    background-position: right;
    background-repeat: no-repeat;
    background-size: cover;
    height: 200px;
}

.banner-text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 1.25rem;
    font-weight: bold;
    color: #fff;
    text-align: center;
    text-shadow: 1px 1px 2px #000;
}

@media only screen and (min-width: 768px) {
    .card-group {
        margin-top: 4rem;
        flex-direction: row;
        justify-content: space-between;
    }

    .activity-card {
        flex-basis: 30%;
    }

    .home-banner {
        margin-top: 3rem;
    }

    .banner-text {
        left: 15%;
        transform: translate(-10%, -50%);
        font-size: 1.4rem;
    }
}


/* About.cshtml Styles */

.about-us {
    margin: 2rem 0;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.about-us-text {
    flex-grow: 1;
    flex-shrink: 0;
    flex-basis: 60%;
    padding-right: 2%;
    font-size: 1.1rem;
}

.about-us-text p:first-child {
    margin-top: 0;
}

.about-us-img {
    flex-grow: 1;
    flex-shrink: 0;
    flex-basis: 38%;
}

.about-us-img img {
    min-width: 250px;
    max-width: 100%;
    height: auto;
}


/* Localizacao.cshtml Styles */

#map {
    margin-top: 2rem;
    width: 100%;
    height: 400px;
}

.locations {
    margin-top: 2.3rem;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.address {
    flex-grow: 0;
    flex-basis: 45%;
    min-width: 250px;
}

.address h3 {
    color: #444;
}

.address p {
    font-size: 1rem;
    color: #333
}

.popup-header {
    font-family: "Lato", sans-serif;
    font-size: 1rem;
    font-weight: bold;
    color: #333;
}

.popup-text {
    font-family: "Lato", sans-serif;
    font-size: 1rem;
}


/* Contato.cshtml Styles */

#form-alert {
    display: none;
}

.alert {
    margin-top: 2rem;
    padding: 0.9rem;
    border-radius: 5px;
}

.alert-success {
    background-color: #bcf5bc;
    color: #062d06;
    border: 1px solid #79ec79;
}

.alert-error {
    background-color: #ffe6e6;
    color: #660000;
    border: 1px solid #ffcccc;
}

.form-contact-us {
    margin: 2rem 0;
    padding: 1.5rem;
    border-radius: 5px;
    background-color: #ddd;
}

input[type=text], input[type=email], input[type=tel], textarea {
    width: 100%;
    margin-top: 0.375rem;
    margin-bottom: 1.2rem;
    padding: 0.3rem 0.3rem;
    box-sizing: border-box;
    font-family: "Lato", sans-serif;
    font-size: 1rem;
    color: #444;
    border: 1px solid #ccc;
    border-radius: 3px;
    resize: vertical;
}

#contactFormSubmitBtn {
    background-color: #29a329;
    color: #fff;
    border: none;
    border-radius: 3px;
    padding: 0.65rem 1.3rem;
    font-family: "Lato", sans-serif;
    font-size: 1rem;
}

#contactFormSubmitBtn:hover {
    background-color: #33cc33;
}

.field-validation-error {
    padding-left: 0.4rem;
    color: darkred;
}


/* Industrial.cshtml / Residential.cshtml / Comercial.cshtml Styles */

.img-gallery {
    margin: 2rem 0;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    grid-gap: 25px;
}

.img-thumbnail {
    margin: 0;
    padding: 0;
    line-height: 0px;
}

.img-thumbnail img {
    width: 100%;
    height: auto;
}
